.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

.haw-logo {
  position: absolute;
  height: 40vmin;
  right: 0;
  margin-right: 25px;
}

.marker-class {
  position: absolute;
  right: 20px;
  margin-top: 20px;
  color: white;
  -webkit-text-stroke: 2px black;
}

.myVisibleDiv {
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

.myVisibleDiv.visible {
  opacity: 1;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  height: 12vh;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.selector-container {
  display: flex;
  width: 100%;
  height: 81vh;
  background: rgb(23,9,121);
  background: linear-gradient(90deg, rgba(54, 24, 248, 0.712) 11%, rgb(216, 241, 246) 100%);
  justify-content:center;
  align-items: center;

}

.selector-box {
  width: 20vw;
  height: 15vw;
  background-color: aliceblue;
  padding: 5px;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 40px;
  cursor: pointer;
}

.rt-container {
  display: flex;
  width: 100%;
  height: 88vh;
  background-color: aqua;
}

.rt-broker-config {
  display: flex;
  position: absolute;
  width: 200px;
  height: 200px;
  background-color: blue;
}

.traffic-light {
  display: flex;
  position: absolute;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 200px;
  right: 20px;
  bottom: 0;
  background-color: white;
  padding: 10px;
  padding-top: 30px;
  margin-bottom: 65px;
  border-radius: 10px;
  border: 2px solid rgba(40, 44, 52, 0.073)
}

.light {
  width: 80px;
  height: 80px;
  border-radius: 50%;
  margin-bottom: 20px;
  background-color: rgba(240, 248, 255, 0.183);
  border: 2px solid rgba(40, 44, 52, 0.073)
}

.active-red {
  background-color: red;
}

.active-green {
  background-color: green;
}

.active {
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.8);
}

.remaining-time {
  font-size: 24px;
  font-weight: bold;
}


.blinking-circle {
  animation: blink 1s infinite;
}

@keyframes blink {
  0% { opacity: 1; } /* Circle is fully visible at the start */
  50% { opacity: 0; } /* Circle becomes invisible at the midpoint of the animation */
  100% { opacity: 1; } /* Circle is fully visible again at the end */
}
